View Issue Details

IDProjectCategoryView StatusLast Update
0004408SymmetricDSBugpublic2020-06-24 16:39
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.7 
Target Version3.11.10Fixed in Version3.11.10 
Summary0004408: Jetty error: KeyStores with multiple certificates are not supported
DescriptionWhen starting SymmetricDS, an error immediately occurs from Jetty. A deprecated class is being used and the Jetty developers decided to start throwing an exception to force projects to use the new class. Instead of using SslContextFactory, the SymmetricWebServer should use SslContextFactory.Server. This change was already made in 3.12.

2020-05-29 16:57:58 [INFO ] [java ] -------------------------------------------------------------------------------
2020-05-29 16:57:58 [INFO ] [java ] An exception occurred. Please see the following for details:
2020-05-29 16:57:58 [INFO ] [java ] -------------------------------------------------------------------------------
2020-05-29 16:57:58 [INFO ] [java ] java.lang.IllegalStateException: KeyStores with multiple certificates are not supported on the base class org.eclipse.jetty.util.ssl.SslContextFactory. (Use org.eclipse.jetty.util.ssl.SslContextFactory$Server or org.eclipse.jetty.util.ssl.SslContextFactory$Client instead)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.ssl.SslContextFactory.newSniX509ExtendedKeyManager(SslContextFactory.java:1275)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.ssl.SslContextFactory.getKeyManagers(SslContextFactory.java:1256)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.ssl.SslContextFactory.load(SslContextFactory.java:374)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.ssl.SslContextFactory.doStart(SslContextFactory.java:245)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:72)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:169)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:117)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.server.SslConnectionFactory.doStart(SslConnectionFactory.java:97)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:72)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.ContainerLifeCycle.start(ContainerLifeCycle.java:169)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart(ContainerLifeCycle.java:117)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.server.AbstractConnector.doStart(AbstractConnector.java:321)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.server.AbstractNetworkConnector.doStart(AbstractNetworkConnector.java:81)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.server.ServerConnector.doStart(ServerConnector.java:231)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:72)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.server.Server.doStart(Server.java:385)
2020-05-29 16:57:58 [INFO ] [java ] at org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:72)
2020-05-29 16:57:58 [INFO ] [java ] at org.jumpmind.symmetric.SymmetricWebServer.start(SymmetricWebServer.java:307)
2020-05-29 16:57:58 [INFO ] [java ] at org.jumpmind.symmetric.SymmetricWebServer.startMixed(SymmetricWebServer.java:242)
2020-05-29 16:57:58 [INFO ] [java ] at org.jumpmind.symmetric.SymmetricWebServer.start(SymmetricWebServer.java:219)
2020-05-29 16:57:58 [INFO ] [java ] at org.jumpmind.symmetric.SymmetricLauncher.executeWithOptions(SymmetricLauncher.java:242)
2020-05-29 16:57:58 [INFO ] [java ] at org.jumpmind.symmetric.AbstractCommandLauncher.execute(AbstractCommandLauncher.java:192)
2020-05-29 16:57:58 [INFO ] [java ] at org.jumpmind.symmetric.SymmetricLauncher.main(SymmetricLauncher.java:79)
2020-05-29 16:57:58 [INFO ] [java ] -------------------------------------------------------------------------------
Tagssecurity

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 5559eb64

2020-06-02 10:54:30

admin

Details Diff
0004408: Jetty error: KeyStores with multiple certificates are not
supported
Affected Issues
0004408
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File

Issue History

Date Modified Username Field Change
2020-05-29 11:31 elong New Issue
2020-05-29 11:31 elong Status new => assigned
2020-05-29 11:31 elong Assigned To => elong
2020-05-29 11:31 elong Tag Attached: security
2020-06-02 08:48 elong Status assigned => resolved
2020-06-02 08:48 elong Resolution open => fixed
2020-06-02 08:48 elong Fixed in Version => 3.11.10
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.11 5559eb64
2020-06-24 16:39 admin Status resolved => closed